Package org.codehaus.groovy.tools

# Class Utilities

java.lang.Object
org.codehaus.groovy.tools.Utilities

public abstract class Utilities extends Object
Various utility functions for use in the compiler.

## Constructor Summary

Constructors
Constructor
Description
`Utilities()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`eol()`
Returns the end-of-line marker.
`static boolean`
`isJavaIdentifier(String name)`
Tells if the given string is a valid Java identifier.
`static String`
`repeatString(String pattern, int repeats)`
Returns a string made up of repetitions of the specified string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Utilities

public Utilities()

## Method Details

### repeatString

public static String repeatString(String pattern, int repeats)
Returns a string made up of repetitions of the specified string.

### eol

public static String eol()
Returns the end-of-line marker.

### isJavaIdentifier

public static boolean isJavaIdentifier(String name)
Tells if the given string is a valid Java identifier.